package cn.yw.machinemanage.dao;
import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import javax.annotation.PostConstruct;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;

import com.ibatis.sqlmap.client.SqlMapClient;

import cn.base.dao.BaseSqlMapDAO;

@Repository("ywmachineharddiskDao")
public class YwmachineharddiskDao  extends BaseSqlMapDAO{
	
	
	/**
	 * 增加记录
	 */
	
	public void insert_Ywmachineharddisk(Map map) throws SQLException{
		this.insert("insert_Ywmachineharddisk",map);
	}
	
	
	/**
	 * 批处理增加记录
	 */
	/*
	public void batch_insert_Ywmachineharddisk(List batch) throws SQLException{
		this.getSqlMapClientTemplate().insert("batch_insert_Ywmachineharddisk",batch);
	}
	*/
	 
	/**
	 * 修改记录
	 */
	
	public Integer update_Ywmachineharddisk(Map map) throws SQLException{
		return this.update("update_Ywmachineharddisk",map);
	}
	
	
	/**
	 * 删除记录
	 */
	
	public Integer delete_Ywmachineharddisk(Map map) throws SQLException{
		return this.delete("delete_Ywmachineharddisk",map);
	}
	
	
	/**
	 * 批处理删除记录
	 */
	
	
	public Integer batch_delete_Ywmachineharddisk(Map map) throws SQLException{
		return this.delete("batch_delete_Ywmachineharddisk",map);
	}
	
	
	/**
	 * 查询总数
	 */
	
	public Integer count_Ywmachineharddisk(Map map) throws SQLException{
		return (Integer)this.queryForObject("count_Ywmachineharddisk",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	
	public List<Map> query_Ywmachineharddisk(Map map) throws SQLException{
		return this.queryForPage("query_Ywmachineharddisk",map);
	}
	
	
	/**
	 * 查询列表记录
	 */
	
	public Map get_Ywmachineharddisk(Map map) throws SQLException{
		return (Map) this.queryForObject("query_Ywmachineharddisk",map);
	}
	
	// 更新
	public Integer edit_Ywmachineharddisk(Map map) throws SQLException{
		return this.update("edit_Ywmachineharddisk",map);
	}
}
